Bug 1202351 (CVE-2015-0207) - CVE-2015-0207 openssl: DTLS segmentation fault in DTLSv1_listen
Summary: CVE-2015-0207 openssl: DTLS segmentation fault in DTLSv1_listen
Status: CLOSED NOTABUG
Alias: CVE-2015-0207
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150319,repor...
Keywords: Security
Depends On:
Blocks: 1202442
TreeView+ depends on / blocked
 
Reported: 2015-03-16 13:02 UTC by Martin Prpič
Modified: 2015-07-14 14:06 UTC (History)
47 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-03-18 03:43:14 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-03-16 13:02:53 UTC
The DTLSv1_listen function is intended to be stateless and processes the initial ClientHello from many peers. It is common for user code to loop over the call to DTLSv1_listen until a valid ClientHello is received with an associated cookie. A defect in the implementation of DTLSv1_listen means that the state is preserved in the SSL object from one invocation to the next, leading to a segmentation fault. Errors processing the initial ClientHello can trigger this scenario. An example of such an error could be that a DTLS 1.0 only client is attempting to connect to a DTLS 1.2 only server.

This issue affects OpenSSL version 1.0.2, and is fixed in version 1.0.2a.

Acknowledgements:

Red Hat would like to thank the OpenSSL project for reporting this issue. Upstream acknowledges Per Allansson as the original reporters.

Comment 1 Huzaifa S. Sidhpurwala 2015-03-18 03:43:14 UTC
Statement:

This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 5, 6, and 7.


Note You need to log in before you can comment on or make changes to this bug.